Skip to main content
POST
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
{stack_name}
/
rename-stack
Rename Cluster Stack Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/rename-stack"

payload = { "new_name": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "new_name": "<string>",
  "success": true,
  "commit_sha": "<string>",
  "commit_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid4>
required
stack_name
string
required

Body

application/json
new_name
string
required

Response

Successful Response

new_name
string
required
success
boolean
default:true
commit_sha
string | null
commit_url
string | null